Reply Management
Updated: Feb 13, 2026
Copy for LLM
The Threads reply management endpoints allow you to retrieve replies and conversations and hide/unhide replies. See Threads Reply Management API for more information.
GET /{threads-media-id}/replies
Retrieve a paginated list of all top-level replies for a Threads media object. See Replies for more information.
Parameters
| Name | Description |
|---|---|
access_token
string
| Required. Threads Graph API user access token. |
threads-media-id
string
| Required. The path parameter of the Threads media identifier. |
fields
string
| Optional. A comma-separated list of the fields to return. Values: id (default), media_product_type, media_type, media_url, permalink, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, has_replies, root_post, replied_to, is_reply, is_reply_owned_by_me, hide_status, reply_audience, quoted_post, reposted_post, gif_url, topic_tag, is_verified, profile_picture_url |
reverse
Boolean
| Optional. Whether replies should be sorted. Sorts replies in reverse chronological order. Values: true (default), false |
before | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
after | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
GET /{threads-media-id}/conversation
Retrieve a paginated and flattened list of all top-level and nested replies for a Threads media object. See Conversations for more information.
Parameters
| Name | Description |
|---|---|
access_token
string
| Required. Threads Graph API user access token. |
threads-media-id
string
| Required. The path parameter of the Threads media identifier. |
fields
string
| Optional. A comma-separated list of the fields to return. Values: id (default), media_product_type, media_type, media_url, permalink, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, has_replies, root_post, replied_to, is_reply, is_reply_owned_by_me, hide_status, reply_audience, quoted_post, reposted_post, gif_url, topic_tag, is_verified, profile_picture_url |
reverse
Boolean
| Optional. Sorts replies in reverse chronological order. Values: true (default), false |
before | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
after | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
POST /{threads-reply-id}/manage_reply
Hide or unhide a top-level reply on your Threads post. See Hide Replies for more information.
Parameters
| Name | Description |
|---|---|
access_token
string
| Required. Threads Graph API user access token. |
threads-reply-id
string
| Required. The path parameter of the Threads reply media identifier. |
hide
Boolean
| Required. Set to true to hide a reply and set to false to unhide a reply.Values:Â true, false |
GET /{threads-media-id}/pending_replies
Fetch a paginated list of all pending replies. See Reply Approvals for more information.
| Name | Description |
|---|---|
access_token
string
| Required. Threads Graph API user access token. |
threads-media-id
string
| Required. The path parameter of the Threads media identifier. |
fields
string
| Optional. A comma-separated list of the fields to return. Values: id (default), media_product_type, media_type, media_url, permalink, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, has_replies, root_post, replied_to, is_reply, is_reply_owned_by_me, hide_status, reply_audience, quoted_post, reposted_post, gif_url, topic_tag, is_verified, profile_picture_url, reply_approval_status |
reverse
Boolean
| Optional. Sorts replies in reverse chronological order. Values: true (default), false |
before | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
after | Optional. A cursor for pagination. Both before and after parameters cannot be passed at the same time. |
POST /{threads-reply-id}/manage_pending_reply
Approve or ignore a pending reply on your Threads post. See Reply Approvals for more information.
| Name | Description |
|---|---|
access_token
string
| Required. Threads Graph API user access token. |
threads-reply-id
string
| Required. The path parameter of the Threads reply media identifier. |
approve
Boolean
| Required. Set to true to approve a reply, and set to false to ignore a reply.Values:Â true, false |